%define	upstream_name    Mail-Transport-Dbx
%define	upstream_version 0.07

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 23

Summary:	CPAN %{upstream_name} perl module
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/Mail-Transport-Dbx
Source0:	https://cpan.metacpan.org/authors/id/V/VP/VPARSEVAL/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	perl(Test::Pod::Coverage)


%description
Mail::Transport::Dbx is a wrapper around libdbx to read Outlook Express
mailboxes (more commonly known as .dbx files).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/*/*
%{perl_vendorarch}/Mail/Transport
%{perl_vendorarch}/auto/Mail/Transport


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.70.0-23.mga8
+ Revision: 1594855
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.70.0-22.mga8
+ Revision: 1529734
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.70.0-21.mga8
+ Revision: 1433819
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.70.0-20.mga7
+ Revision: 1293418
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.70.0-19.mga7
+ Revision: 1250433
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.70.0-18.mga7
+ Revision: 1165290
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.70.0-17.mga7
+ Revision: 1150113
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.70.0-16.mga7
+ Revision: 1127625
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-15.mga6
+ Revision: 1029521
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.70.0-14.mga6
+ Revision: 957688
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.70.0-13.mga6
+ Revision: 842692
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-12.mga5
+ Revision: 744129
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-11.mga5
+ Revision: 685333
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.70.0-10.mga5
+ Revision: 631413
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-9.mga4
+ Revision: 524913
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.70.0-8.mga4
+ Revision: 431619
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-7.mga3
+ Revision: 369504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.70.0-6.mga3
+ Revision: 250939
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 0.70.0-5.mga3
+ Revision: 250908
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.70.0-4.mga2
+ Revision: 104769
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.70.0-3.mga1
+ Revision: 32184
- mageia rebuild
- imported package perl-Mail-Transport-Dbx

